List submissions for an opportunity
Authorization
apiKey Authorization<token>
API key as Bearer token: Authorization: Bearer
In: header
Path Parameters
opportunityId*string
Query Parameters
limit?integer
Default
25Range
1 <= value <= 100cursor?string
status?string
"screened_out" never reached the work, "rejected" did the work and was not accepted, "abandoned" stopped part-way.
Value in
"screen_passed" | "screened_out" | "in_progress" | "awaiting_review" | "approved" | "rejected" | "abandoned"Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://terac.com/api/external/v2/opportunities/string/submissions"{
"data": [
{
"id": "string",
"opportunity_id": "string",
"status": "screen_passed",
"participant_id": "string",
"created_at": "string",
"updated_at": "string",
"screening_outcome": "passed",
"screening_answers": [
{
"key": "string",
"question": "string",
"answer": [
"string"
],
"outcome": "qualify"
}
]
}
],
"pagination": {
"next_cursor": "string",
"has_more": true
},
"dashboard_url": "string"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}